> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /sales-orders

POST https://api.merge.dev/api/accounting/v1/sales-orders
Content-Type: application/json

Creates a `SalesOrder` object with the given values.

Reference: https://docs.merge.dev/merge-unified/accounting/common-models/sales-orders/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `is_debug_mode` (boolean, optional) — Whether to include debug fields (such as log file links) in the response.
- `run_async` (boolean, optional) — Whether or not third-party updates should be run asynchronously.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

### Body (application/json)

This endpoint expects a SalesOrderEndpointRequest.

- `model` (SalesOrderRequestRequest, required) — # The SalesOrder Object ### Description The `SalesOrder` object represents a seller's formal record and confirmation of a customer's purchase request. ### Usage Example Fetch from the `LIST SalesOrders` endpoint and view a company's sales orders.

## Response

### 201

- `model` (SalesOrder, required) — # The SalesOrder Object ### Description The `SalesOrder` object represents a seller's formal record and confirmation of a customer's purchase request. ### Usage Example Fetch from the `LIST SalesOrders` endpoint and view a company's sales orders.
- `warnings` (list of WarningValidationProblem, required)
- `errors` (list of ErrorValidationProblem, required)
- `logs` (list of DebugModeLog, optional)

## Types

### SalesOrderRequestRequest

# The SalesOrder Object ### Description The `SalesOrder` object represents a seller's formal record and confirmation of a customer's purchase request. ### Usage Example Fetch from the `LIST SalesOrders` endpoint and view a company's sales orders.

- `customer` (string, optional, nullable) — The customer associated with the sales order.
- `currency` (enum, optional, nullable) — The currency code for the order. The currency code in ISO 4217 format.
  - Allowed values: `XUA`, `AFN`, `AFA`, `ALL`, `ALK`, `DZD`, `ADP`, `AOA`, `AOK`, `AON`, `AOR`, `ARA`, `ARS`, `ARM`, `ARP`, `ARL`, `AMD`, `AWG`, `AUD`, `ATS`, `AZN`, `AZM`, `BSD`, `BHD`, `BDT`, `BBD`, `BYN`, `BYB`, `BYR`, `BEF`, `BEC`, `BEL`, `BZD`, `BMD`, `BTN`, `BOB`, `BOL`, `BOV`, `BOP`, `BAM`, `BAD`, `BAN`, `BWP`, `BRC`, `BRZ`, `BRE`, `BRR`, `BRN`, `BRB`, `BRL`, `GBP`, `BND`, `BGL`, `BGN`, `BGO`, `BGM`, `BUK`, `BIF`, `XPF`, `KHR`, `CAD`, `CVE`, `KYD`, `XAF`, `CLE`, `CLP`, `CLF`, `CNX`, `CNY`, `CNH`, `COP`, `COU`, `KMF`, `CDF`, `CRC`, `HRD`, `HRK`, `CUC`, `CUP`, `CYP`, `CZK`, `CSK`, `DKK`, `DJF`, `DOP`, `NLG`, `XCD`, `DDM`, `ECS`, `ECV`, `EGP`, `GQE`, `ERN`, `EEK`, `ETB`, `EUR`, `XBA`, `XEU`, `XBB`, `XBC`, `XBD`, `FKP`, `FJD`, `FIM`, `FRF`, `XFO`, `XFU`, `GMD`, `GEK`, `GEL`, `DEM`, `GHS`, `GHC`, `GIP`, `XAU`, `GRD`, `GTQ`, `GWP`, `GNF`, `GNS`, `GYD`, `HTG`, `HNL`, `HKD`, `HUF`, `IMP`, `ISK`, `ISJ`, `INR`, `IDR`, `IRR`, `IQD`, `IEP`, `ILS`, `ILP`, `ILR`, `ITL`, `JMD`, `JPY`, `JOD`, `KZT`, `KES`, `KWD`, `KGS`, `LAK`, `LVL`, `LVR`, `LBP`, `LSL`, `LRD`, `LYD`, `LTL`, `LTT`, `LUL`, `LUC`, `LUF`, `MOP`, `MKD`, `MKN`, `MGA`, `MGF`, `MWK`, `MYR`, `MVR`, `MVP`, `MLF`, `MTL`, `MTP`, `MRU`, `MRO`, `MUR`, `MXV`, `MXN`, `MXP`, `MDC`, `MDL`, `MCF`, `MNT`, `MAD`, `MAF`, `MZE`, `MZN`, `MZM`, `MMK`, `NAD`, `NPR`, `ANG`, `TWD`, `NZD`, `NIO`, `NIC`, `NGN`, `KPW`, `NOK`, `OMR`, `PKR`, `XPD`, `PAB`, `PGK`, `PYG`, `PEI`, `PEN`, `PES`, `PHP`, `XPT`, `PLN`, `PLZ`, `PTE`, `GWE`, `QAR`, `XRE`, `RHD`, `RON`, `ROL`, `RUB`, `RUR`, `RWF`, `SVC`, `WST`, `SAR`, `RSD`, `CSD`, `SCR`, `SLL`, `XAG`, `SGD`, `SKK`, `SIT`, `SBD`, `SOS`, `ZAR`, `ZAL`, `KRH`, `KRW`, `KRO`, `SSP`, `SUR`, `ESP`, `ESA`, `ESB`, `XDR`, `LKR`, `SHP`, `XSU`, `SDD`, `SDG`, `SDP`, `SRD`, `SRG`, `SZL`, `SEK`, `CHF`, `SYP`, `STN`, `STD`, `TVD`, `TJR`, `TJS`, `TZS`, `XTS`, `THB`, `XXX`, `TPE`, `TOP`, `TTD`, `TND`, `TRY`, `TRL`, `TMT`, `TMM`, `USD`, `USN`, `USS`, `UGX`, `UGS`, `UAH`, `UAK`, `AED`, `UYW`, `UYU`, `UYP`, `UYI`, `UZS`, `VUV`, `VES`, `VEB`, `VEF`, `VND`, `VNN`, `CHE`, `CHW`, `XOF`, `YDD`, `YER`, `YUN`, `YUD`, `YUM`, `YUR`, `ZWN`, `ZRN`, `ZRZ`, `ZMW`, `ZMK`, `ZWD`, `ZWR`, `ZWL`
- `exchange_rate` (string, optional, nullable) — The exchange rate applied if the order currency differs from the base currency.
- `company` (string, optional, nullable) — The subsidiary associated with the order.
- `status` (enum, optional, nullable) — The status of the sales order.
  - Allowed values: `DRAFT`, `PENDING_APPROVAL`, `OPEN`, `PARTIALLY_COMPLETED`, `COMPLETED`, `CLOSED`
- `payment_term` (string, optional, nullable) — The payment terms applied to this order.
- `memo` (string, optional, nullable) — Notes or comments attached to the order.
- `shipping_address` (string, optional, nullable) — The shipping address for the order.
- `tracking_categories` (list of string, optional)
- `issue_date` (datetime, optional, nullable) — The date the sales order was issued.
- `transaction_number` (string, optional, nullable) — The human-readable sales order number or transaction reference.
- `total` (double, optional, nullable) — Total amount of order.
- `lines` (list of SalesOrderLineRequest, optional)
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)
- `remote_fields` (list of RemoteFieldRequest, optional)
- `status_native` (string, optional, nullable) — The third-party value for `status`, sent to the integration without enum normalization. Cannot be combined with `status`.

### SalesOrder

# The SalesOrder Object ### Description The `SalesOrder` object represents a seller's formal record and confirmation of a customer's purchase request. ### Usage Example Fetch from the `LIST SalesOrders` endpoint and view a company's sales orders.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `customer` (string, optional, nullable) — The customer associated with the sales order.
- `currency` (enum, optional, nullable) — The currency code for the order. The currency code in ISO 4217 format.
  - Allowed values: `XUA`, `AFN`, `AFA`, `ALL`, `ALK`, `DZD`, `ADP`, `AOA`, `AOK`, `AON`, `AOR`, `ARA`, `ARS`, `ARM`, `ARP`, `ARL`, `AMD`, `AWG`, `AUD`, `ATS`, `AZN`, `AZM`, `BSD`, `BHD`, `BDT`, `BBD`, `BYN`, `BYB`, `BYR`, `BEF`, `BEC`, `BEL`, `BZD`, `BMD`, `BTN`, `BOB`, `BOL`, `BOV`, `BOP`, `BAM`, `BAD`, `BAN`, `BWP`, `BRC`, `BRZ`, `BRE`, `BRR`, `BRN`, `BRB`, `BRL`, `GBP`, `BND`, `BGL`, `BGN`, `BGO`, `BGM`, `BUK`, `BIF`, `XPF`, `KHR`, `CAD`, `CVE`, `KYD`, `XAF`, `CLE`, `CLP`, `CLF`, `CNX`, `CNY`, `CNH`, `COP`, `COU`, `KMF`, `CDF`, `CRC`, `HRD`, `HRK`, `CUC`, `CUP`, `CYP`, `CZK`, `CSK`, `DKK`, `DJF`, `DOP`, `NLG`, `XCD`, `DDM`, `ECS`, `ECV`, `EGP`, `GQE`, `ERN`, `EEK`, `ETB`, `EUR`, `XBA`, `XEU`, `XBB`, `XBC`, `XBD`, `FKP`, `FJD`, `FIM`, `FRF`, `XFO`, `XFU`, `GMD`, `GEK`, `GEL`, `DEM`, `GHS`, `GHC`, `GIP`, `XAU`, `GRD`, `GTQ`, `GWP`, `GNF`, `GNS`, `GYD`, `HTG`, `HNL`, `HKD`, `HUF`, `IMP`, `ISK`, `ISJ`, `INR`, `IDR`, `IRR`, `IQD`, `IEP`, `ILS`, `ILP`, `ILR`, `ITL`, `JMD`, `JPY`, `JOD`, `KZT`, `KES`, `KWD`, `KGS`, `LAK`, `LVL`, `LVR`, `LBP`, `LSL`, `LRD`, `LYD`, `LTL`, `LTT`, `LUL`, `LUC`, `LUF`, `MOP`, `MKD`, `MKN`, `MGA`, `MGF`, `MWK`, `MYR`, `MVR`, `MVP`, `MLF`, `MTL`, `MTP`, `MRU`, `MRO`, `MUR`, `MXV`, `MXN`, `MXP`, `MDC`, `MDL`, `MCF`, `MNT`, `MAD`, `MAF`, `MZE`, `MZN`, `MZM`, `MMK`, `NAD`, `NPR`, `ANG`, `TWD`, `NZD`, `NIO`, `NIC`, `NGN`, `KPW`, `NOK`, `OMR`, `PKR`, `XPD`, `PAB`, `PGK`, `PYG`, `PEI`, `PEN`, `PES`, `PHP`, `XPT`, `PLN`, `PLZ`, `PTE`, `GWE`, `QAR`, `XRE`, `RHD`, `RON`, `ROL`, `RUB`, `RUR`, `RWF`, `SVC`, `WST`, `SAR`, `RSD`, `CSD`, `SCR`, `SLL`, `XAG`, `SGD`, `SKK`, `SIT`, `SBD`, `SOS`, `ZAR`, `ZAL`, `KRH`, `KRW`, `KRO`, `SSP`, `SUR`, `ESP`, `ESA`, `ESB`, `XDR`, `LKR`, `SHP`, `XSU`, `SDD`, `SDG`, `SDP`, `SRD`, `SRG`, `SZL`, `SEK`, `CHF`, `SYP`, `STN`, `STD`, `TVD`, `TJR`, `TJS`, `TZS`, `XTS`, `THB`, `XXX`, `TPE`, `TOP`, `TTD`, `TND`, `TRY`, `TRL`, `TMT`, `TMM`, `USD`, `USN`, `USS`, `UGX`, `UGS`, `UAH`, `UAK`, `AED`, `UYW`, `UYU`, `UYP`, `UYI`, `UZS`, `VUV`, `VES`, `VEB`, `VEF`, `VND`, `VNN`, `CHE`, `CHW`, `XOF`, `YDD`, `YER`, `YUN`, `YUD`, `YUM`, `YUR`, `ZWN`, `ZRN`, `ZRZ`, `ZMW`, `ZMK`, `ZWD`, `ZWR`, `ZWL`
- `exchange_rate` (string, optional, nullable) — The exchange rate applied if the order currency differs from the base currency.
- `company` (string, optional, nullable) — The subsidiary associated with the order.
- `status` (enum, optional, nullable) — The status of the sales order. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=status` to receive the integration's own value instead.
  - Allowed values: `DRAFT`, `PENDING_APPROVAL`, `OPEN`, `PARTIALLY_COMPLETED`, `COMPLETED`, `CLOSED`
- `payment_term` (string, optional, nullable) — The payment terms applied to this order.
- `memo` (string, optional, nullable) — Notes or comments attached to the order.
- `shipping_address` (string, optional, nullable) — The shipping address for the order.
- `tracking_categories` (list of string, optional)
- `issue_date` (datetime, optional, nullable) — The date the sales order was issued.
- `transaction_number` (string, optional, nullable) — The human-readable sales order number or transaction reference.
- `total` (double, optional, nullable) — Total amount of order.
- `lines` (list of SalesOrderLine, optional)
- `remote_created_at` (datetime, optional, nullable) — When the third party's sales order was created.
- `remote_updated_at` (datetime, optional, nullable) — When the third party's sales order was updated.
- `sales_order_url` (string, optional, nullable) — The 3rd party URL of the sales order.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (SalesOrderFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)
- `remote_fields` (list of RemoteField, optional)

### WarningValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### ErrorValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### DebugModeLog

- `log_id` (string, required)
- `dashboard_view` (string, required)
- `log_summary` (DebugModelLogSummary, required)

### SalesOrderLineRequest

# The SalesOrderLine Object ### Description The `SalesOrderLine` object represents a specific line item on a sales order. ### Usage Example Fetch from the `GET SalesOrder` endpoint and view a company's sales order line items.

- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `description` (string, optional, nullable) — Description of the line item.
- `unit_price` (string, optional, nullable) — The unit price of the item.
- `quantity` (string, optional, nullable) — Quantity ordered for this line.
- `item` (string, optional, nullable)
- `tax_rate` (string, optional, nullable) — The tax rate of the line item.
- `tracking_categories` (list of string, optional) — The dimensions or classification tags.
- `company` (string, optional, nullable) — The subsidiary associated with the order.
- `remote_created_at` (datetime, optional, nullable) — When the third party's sales order line item was created.
- `remote_updated_at` (datetime, optional, nullable) — When the third party's sales order line item was updated.
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)
- `remote_fields` (list of RemoteFieldRequest, optional)

### RemoteFieldRequest

- `remote_field_class` (string, required)
- `value` (map from string to any, optional)

### SalesOrderLine

# The SalesOrderLine Object ### Description The `SalesOrderLine` object represents a specific line item on a sales order. ### Usage Example Fetch from the `GET SalesOrder` endpoint and view a company's sales order line items.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `description` (string, optional, nullable) — Description of the line item.
- `unit_price` (string, optional, nullable) — The unit price of the item.
- `quantity` (string, optional, nullable) — Quantity ordered for this line.
- `item` (string, optional, nullable)
- `tax_rate` (string, optional, nullable) — The tax rate of the line item.
- `tracking_categories` (list of string, optional) — The dimensions or classification tags.
- `company` (string, optional, nullable) — The subsidiary associated with the order.
- `remote_created_at` (datetime, optional, nullable) — When the third party's sales order line item was created.
- `remote_updated_at` (datetime, optional, nullable) — When the third party's sales order line item was updated.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `remote_fields` (list of RemoteField, optional)

### SalesOrderFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

### RemoteField

- `remote_field_class` (RemoteFieldClass, required)
- `value` (map from string to any, optional)

### ValidationProblemSource

- `pointer` (string, required)

### DebugModelLogSummary

- `url` (string, required)
- `method` (string, required)
- `status_code` (integer, required)

### RemoteFieldClass

- `id` (string, optional)
- `display_name` (string, optional)
- `remote_key_name` (string, optional)
- `description` (string, optional)
- `is_custom` (boolean, optional)
- `is_common_model_field` (boolean, optional)
- `is_required` (boolean, optional)
- `field_type` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `field_format` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `field_choices` (list of string, optional)
- `item_schema` (ItemSchema, optional)

### ItemSchema

- `item_type` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `item_format` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `item_choices` (list of string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "model": {
    "id": "0048ea5b-911e-4dff-9364-92070dea62ff",
    "remote_id": "SO-12345",
    "created_at": "2021-09-15T00:00:00Z",
    "modified_at": "2021-10-16T00:00:00Z",
    "customer": "3e442c5d-8f51-4103-b5c9-dcee39c30a08",
    "currency": "USD",
    "exchange_rate": "1.0",
    "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
    "status": "DRAFT",
    "payment_term": "89d329de-825f-4ac6-8369-3c58b4e68bee",
    "memo": "Quarterly subscription order",
    "shipping_address": "b0a1e9a5-8f51-4103-b5c9-dcee39c30a08",
    "tracking_categories": [
      "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
      "9b840d2-686a-465a-8a8e-7b028498f8e4"
    ],
    "issue_date": "2020-03-31T00:00:00Z",
    "transaction_number": "SO-12345",
    "total": 495,
    "lines": [
      {
        "remote_id": "121222",
        "description": "Premium subscription",
        "unit_price": "99",
        "quantity": "5",
        "item": "0958cbc6-6040-430a-848e-aafacbadf4ae",
        "tax_rate": "a12e7c20-1922-9df7-s75n-edfeewnn7384",
        "tracking_categories": [
          "f1214c24-2702-4617-b74b-3ddecfc0d384",
          "9b840d2-686a-465a-8a8e-7b028498f8e4"
        ],
        "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
        "remote_was_deleted": false
      },
      {
        "description": "Basic subscription",
        "unit_price": "50",
        "quantity": "2",
        "item": "249c9faa-3045-4a31-953b-8f22d3613301",
        "tracking_categories": [
          "f1214c24-2702-4617-b74b-3ddecfc0d384"
        ]
      }
    ],
    "remote_created_at": "2020-03-31T00:00:00Z",
    "remote_updated_at": "2020-03-31T00:00:00Z",
    "sales_order_url": "https://qbo.intuit.com/app/salesorder/SO-12345",
    "remote_was_deleted": true,
    "field_mappings": {
      "organization_defined_targets": {
        "custom_key": "custom_value"
      },
      "linked_account_defined_targets": {
        "custom_key": "custom_value"
      }
    },
    "remote_data": [
      {
        "path": "/actions",
        "data": null
      }
    ],
    "remote_fields": [
      {
        "remote_field_class": {
          "id": "string",
          "display_name": "string",
          "remote_key_name": "string",
          "description": "string",
          "is_custom": true,
          "is_common_model_field": true,
          "is_required": true,
          "field_type": "string",
          "field_format": "string",
          "field_choices": [
            "string"
          ],
          "item_schema": {
            "item_type": "string",
            "item_format": "string",
            "item_choices": [
              "string"
            ]
          }
        },
        "value": "string"
      }
    ]
  },
  "warnings": [
    {
      "title": "Unrecognized Field",
      "detail": "An unrecognized field, age, was passed in with request data.",
      "problem_type": "UNRECOGNIZED_FIELD",
      "source": {
        "pointer": "/age"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "errors": [
    {
      "title": "Missing Required Field",
      "detail": "custom_fields is a required field on model.",
      "problem_type": "MISSING_REQUIRED_FIELD",
      "source": {
        "pointer": "/model/custom_fields"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "logs": [
    {
      "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
      "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
      "log_summary": {
        "url": "www.exampleintegration.com/api/v1/exampleapi",
        "method": "POST",
        "status_code": 200
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/accounting/v1/sales-orders"

payload = {}
headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/accounting/v1/sales-orders';
const options = {
  method: 'POST',
  headers: {
    'X-Account-Token': 'X-Account-Token',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/accounting/v1/sales-orders"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/accounting/v1/sales-orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.merge.dev/api/accounting/v1/sales-orders")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.merge.dev/api/accounting/v1/sales-orders', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/accounting/v1/sales-orders");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/accounting/v1/sales-orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```